# Ogre::IndexData Class Reference

Summary class collecting together index data source information. More...

`#include <OgreVertexIndexData.h>`

List of all members.

## Public Member Functions

| IndexData ()
| ~IndexData ()
IndexData * | clone (bool copyData=true) const
| Clones this index data, potentially including replicating the index buffer.
void | optimiseVertexCacheTriList (void)
| Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.

## Public Attributes

HardwareIndexBufferSharedPtr | indexBuffer
| pointer to the HardwareIndexBuffer to use, must be specified if useIndexes = true
size_t | indexStart
| index in the buffer to start from for this operation
size_t | indexCount
| The number of indexes to use from the buffer.

## Protected Member Functions

| IndexData (const IndexData &rhs)
| Protected copy constructor, to prevent misuse.
IndexData & | operator= (const IndexData &rhs)
| Protected operator=, to prevent misuse.

## Detailed Description

Summary class collecting together index data source information.

Definition at line 208 of file OgreVertexIndexData.h.

## Constructor & Destructor Documentation

Ogre::IndexData::IndexData | ( | const IndexData & | rhs | ) | `[protected]`

Protected copy constructor, to prevent misuse.

Ogre::IndexData::IndexData | ( |  | ) |

Ogre::IndexData::~IndexData | ( |  | ) |

## Member Function Documentation

IndexData& Ogre::IndexData::operator= | ( | const IndexData & | rhs | ) | `[protected]`

Protected operator=, to prevent misuse.

IndexData* Ogre::IndexData::clone | ( | bool | copyData = `true` | ) | const

Clones this index data, potentially including replicating the index buffer.

Remarks:
  The caller is expected to delete the returned pointer when finished

void Ogre::IndexData::optimiseVertexCacheTriList | ( | void |  | ) |

Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.

Remarks:
  Can only be used for index data which consists of triangle lists. It would in fact be pointless to use it on triangle strips or fans in any case.

## Member Data Documentation

HardwareIndexBufferSharedPtr Ogre::IndexData::indexBuffer

pointer to the HardwareIndexBuffer to use, must be specified if useIndexes = true

Definition at line 219 of file OgreVertexIndexData.h.

size_t Ogre::IndexData::indexStart

index in the buffer to start from for this operation

Definition at line 222 of file OgreVertexIndexData.h.

size_t Ogre::IndexData::indexCount

The number of indexes to use from the buffer.

Definition at line 225 of file OgreVertexIndexData.h.

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:31:20 2008